<script>
    // listen for click event on body
    document.querySelector('button').addEventListener('click', () => {
        // add decoration elemnt to all divs
        document.querySelectorAll('div').forEach((parentDiv) => {		
            addDecoration(parentDiv);
        })
    })

    // addDecoration() adds a decoration
    // element to passed in element
    function addDecoration(element) {
        // string of HTML to insert
        let childDiv = `<div class="decorate"></div>`;
        element.insertAdjacentHTML('beforeend', childDiv);
    }
</script>